/**
 * Color Variables
 * カラーパレットに関する変数を定義します。
 * これらの変数は、他のスタイルシートで使用されます。
 * デザインに合わせて変更・追加することができます。
 */
:root {
  --snow: #ffffff;
  --ink: #454545;
  --ink-alt: #6A6A6A;
  --pink: #FF70DE;
  --orange: #FC8B02;
  --coral-pink: #FF9870;
  --red: #E51216;
  --ex-light-pink: #FDF7F5;
  --emerald: #E1FFF7;
  --peach: #F8D9CD;
  --back-peach: #FCF2ED;
  
  --grad-soft-orange-peach: linear-gradient(90deg, #FFE9D0 20.19%, #F8D9CD 69.71%);
}

/**
 * Text Colors
 * テキストの色に関するスタイルを持つクラスを定義します。
 * .text-snowのようなクラスを使用して、テキストの色を変更することができます。
 * 事前にBootstrapのCSSを読み込んでしまっているため、<a>要素の色なども含めて上書きする必要があります。
 * 具体的には、
 * 1. クラスを持つ要素
 * 2. クラスを持つ<a>要素
 * 3. クラスを持つ<a>要素のvisited状態
 * 4. クラスを持つ<a>要素のhover状態
 * 5. クラスを持つ<p>要素の子孫の<a>要素
 * 6. クラスを持つ<p>要素の子孫の<a>要素のvisited状態
 * 7. クラスを持つ<p>要素の子孫の<a>要素のhover状態
 */
.color-fg,
.color-fg a,
.color-fg a:visited,
.color-fg a:hover,
p a.color-fg,
p a.color-fg:visited,
p a.color-fg:hover {
  color: hsl(from var(--fg-color) h s l / var(--fg-alpha, 100%)) !important;
}

.text-snow {
  --fg-color: var(--snow);
}
.text-ink {
  --fg-color: var(--ink);
}
.text-ink-alt {
  --fg-color: var(--ink-alt);
}
.text-pink {
  --fg-color: var(--pink);
}
.text-orange {
  --fg-color: var(--orange);
}
.text-coral-pink {
  --fg-color: var(--coral-pink);
}
.text-red {
  --fg-color: var(--red);
}
.text-ex-light-pink {
  --fg-color: var(--ex-light-pink);
}
.text-emerald {
  --fg-color: var(--emerald);
}
.text-peach {
  --fg-color: var(--peach);
}
.text-back-peach {
  --fg-color: var(--back-peach);
}


.text-alpha-10 {
  --fg-alpha: 10%;
}
.text-alpha-20 {
  --fg-alpha: 20%;
}
.text-alpha-30 {
  --fg-alpha: 30%;
}
.text-alpha-40 {
  --fg-alpha: 40%;
}
.text-alpha-50 {
  --fg-alpha: 50%;
}
.text-alpha-60 {
  --fg-alpha: 60%;
}
.text-alpha-70 {
  --fg-alpha: 70%;
}
.text-alpha-80 {
  --fg-alpha: 80%;
}
.text-alpha-90 {
  --fg-alpha: 90%;
}
.text-alpha-100 {
  --fg-alpha: 100%;
}

/**
 * Background Colors
 */
.color-bg {
  background-color: hsl(from var(--bg-color) h s l / var(--bg-alpha, 100%)) !important;
}

.bg-snow {
  --bg-color: var(--snow);
}
.bg-ink {
  --bg-color: var(--ink);
}
.bg-ink-alt {
  --bg-color: var(--ink-alt);
}
.bg-pink {
  --bg-color: var(--pink);
}
.bg-orange {
  --bg-color: var(--orange);
}
.bg-coral-pink {
  --bg-color: var(--coral-pink);
}
.bg-red {
  --bg-color: var(--red);
}
.bg-ex-light-pink {
  --bg-color: var(--ex-light-pink);
}
.bg-emerald {
  --bg-color: var(--emerald);
}
.bg-peach {
  --bg-color: var(--peach);
}
.bg-back-peach {
  --bg-color: var(--back-peach);
}

.bg-grad-soft-orange-peach {
  background-image: var(--grad-soft-orange-peach);
}

.bg-grad-soft-orange-peach-to-emelald {
  background: linear-gradient(180deg, rgba(253, 247, 245, 0.00) 0%, #E1FFF7 100%), var(--grad-soft-orange-peach);
}

.bg-alpha-10 {
  --bg-alpha: 10%;
}
.bg-alpha-15 {
  --bg-alpha: 15%;
}
.bg-alpha-20 {
  --bg-alpha: 20%;
}
.bg-alpha-30 {
  --bg-alpha: 30%;
}
.bg-alpha-40 {
  --bg-alpha: 40%;
}
.bg-alpha-50 {
  --bg-alpha: 50%;
}
.bg-alpha-60 {
  --bg-alpha: 60%;
}
.bg-alpha-70 {
  --bg-alpha: 70%;
}
.bg-alpha-80 {
  --bg-alpha: 80%;
}
.bg-alpha-90 {
  --bg-alpha: 90%;
}
.bg-alpha-100 {
  --bg-alpha: 100%;
}

/**
 * Border Colors
 */

.color-border {
  --bd-color: hsl(from var(--border-color) h s l / var(--border-alpha, 100%));
}

.border-snow {
  --border-color: var(--snow);
}
.border-ink {
  --border-color: var(--ink);
}
.border-ink-alt {
  --border-color: var(--ink-alt);
}
.border-pink {
  --border-color: var(--pink);
}
.border-orange {
  --border-color: var(--orange);
}
.border-coral-pink {
  --border-color: var(--coral-pink);
}
.border-red {
  --border-color: var(--red);
}
.border-ex-light-pink {
  --border-color: var(--ex-light-pink);
}
.border-emerald {
  --border-color: var(--emerald);
}
.border-peach {
  --border-color: var(--peach);
}
.border-back-peach {
  --border-color: var(--back-peach);
}

.border-alpha-10 {
  --border-alpha: 10%;
}
.border-alpha-20 {
  --border-alpha: 20%;
}
.border-alpha-25 {
  --border-alpha: 25%;
}
.border-alpha-30 {
  --border-alpha: 30%;
}
.border-alpha-40 {
  --border-alpha: 40%;
}
.border-alpha-50 {
  --border-alpha: 50%;
}
.border-alpha-60 {
  --border-alpha: 60%;
}
.border-alpha-70 {
  --border-alpha: 70%;
}
.border-alpha-80 {
  --border-alpha: 80%;
}
.border-alpha-90 {
  --border-alpha: 90%;
}
.border-alpha-100 {
  --border-alpha: 100%;
}

/**
 * Glassmorphism
 */
.bg-blur-6 {
  -webkit-backdrop-filter: blur(6px);
  backdrop-filter: blur(6px);
}
.bg-blur-8 {
  -webkit-backdrop-filter: blur(8px);
  backdrop-filter: blur(8px);
}
.bg-blur-12 {
  -webkit-backdrop-filter: blur(12px);
  backdrop-filter: blur(12px);
}
.bg-blur-16 {
  -webkit-backdrop-filter: blur(16px);
  backdrop-filter: blur(16px);
}
.bg-blur-20 {
  -webkit-backdrop-filter: blur(20px);
  backdrop-filter: blur(20px);
}
.bg-blur-24 {
  -webkit-backdrop-filter: blur(24px);
  backdrop-filter: blur(24px);
}